Skip to content

Check for paradoxes in a timeline

Request

Security
bearerAuth
Bodyapplication/jsonrequired
timeline_idstring
Example:"tml_tesla_mission_1"
proposed_changesArray of any
Example:
[ { "event": "Retrieve Tesla's Blueprint", "time": "1889-03-10T23:50:00Z" }, { "item_id": "itm_tsla_blueprint" } ]
curl -i -X POST \
  https://docs.labrys.tech/_mock/apis/paradox-checks \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "timeline_id": "tml_tesla_mission_1",
    "proposed_changes": [
      {
        "event": "Retrieve Tesla'\''s Blueprint",
        "time": "1889-03-10T23:50:00Z"
      },
      {
        "item_id": "itm_tsla_blueprint"
      }
    ]
  }'

Responses

Paradox check completed successfully

Bodyapplication/json
is_stableboolean

The stability status of the timeline

Example:true
Response
{ "is_stable": true }